Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.commonj
Class TimerManagerTaskScheduler

    java.lang.Object
      org.springframework.jndi.JndiAccessor
          org.springframework.jndi.JndiLocatorSupport
              org.springframework.scheduling.commonj.TimerManagerAccessor
                  org.springframework.scheduling.commonj.TimerManagerTaskScheduler

All Implemented Interfaces:
  DisposableBean, InitializingBean, Lifecycle, TaskScheduler

    public class TimerManagerTaskScheduler

extends TimerManagerAccessor
implements TaskScheduler

Implementation of Spring's `TaskScheduler` interface, wrapping a CommonJ `TimerManager`.

Since:
  3.0
Author:
  Juergen Hoeller, Mark Fisher

Field Summary

Fields inherited from class org.springframework.jndi.JndiLocatorSupport
`CONTAINER_PREFIX`

Fields inherited from class org.springframework.jndi.JndiAccessor
`logger`

Constructor Summary
`TimerManagerTaskScheduler()`

Method Summary
`ScheduledFuture` | `schedule(Runnable task, Date startTime)` Schedule the given `Runnable`, invoking it at the specified execution time.
`ScheduledFuture` | `schedule(Runnable task, Trigger trigger)` Schedule the given `Runnable`, invoking it whenever the trigger indicates a next execution time.
`ScheduledFuture` | `scheduleAtFixedRate(Runnable task, Date startTime, long period)` Schedule the given `Runnable`, invoking it at the specified execution time and subsequently with the given period.
`ScheduledFuture` | `scheduleAtFixedRate(Runnable task, long period)` Schedule the given `Runnable`, starting as soon as possible and invoking it with the given period.
`ScheduledFuture` | `scheduleWithFixedDelay(Runnable task, Date startTime, long delay)` Schedule the given `Runnable`, invoking it at the specified execution time and subsequently with the given delay between the completion of one execution and the start of the next.
`ScheduledFuture` | `scheduleWithFixedDelay(Runnable task, long delay)` Schedule the given `Runnable`, starting as soon as possible and invoking it with the given delay between the completion of one execution and the start of the next.
`void` | `setErrorHandler(ErrorHandler errorHandler)`

Methods inherited from class org.springframework.scheduling.commonj.TimerManagerAccessor
`afterPropertiesSet, destroy, getTimerManager, isRunning, setShared, setTimerManager, setTimerManagerName, start, stop`

Methods inherited from class org.springframework.jndi.JndiLocatorSupport
`convertJndiName, isResourceRef, lookup, lookup, setResourceRef`

Methods inherited from class org.springframework.jndi.JndiAccessor
`getJndiEnvironment, getJndiTemplate, setJndiEnvironment, setJndiTemplate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimerManagerTaskScheduler

    public TimerManagerTaskScheduler()

Method Detail

### setErrorHandler

    public void setErrorHandler(ErrorHandler errorHandler)

### schedule

    public ScheduledFuture schedule(Runnable task,
                                    Trigger trigger)

  Description copied from interface: `TaskScheduler`
  Schedule the given `Runnable`, invoking it whenever the trigger indicates a next execution time.

  Execution will end once the scheduler shuts down or the returned `ScheduledFuture` gets cancelled.

  Specified by:
    `schedule` in interface `TaskScheduler`
  Parameters:
    `task` - the Runnable to execute whenever the trigger fires
    `trigger` - an implementation of the `Trigger` interface, e.g. a `CronTrigger` object wrapping a cron expression
  Returns:
    a `ScheduledFuture` representing pending completion of the task, or `null` if the given Trigger object never fires (i.e. returns `null` from `Trigger.nextExecutionTime(org.springframework.scheduling.TriggerContext)`)
  See Also:
    `CronTrigger`

### schedule

    public ScheduledFuture schedule(Runnable task,
                                    Date startTime)

  Description copied from interface: `TaskScheduler`
  Schedule the given `Runnable`, invoking it at the specified execution time.

  Execution will end once the scheduler shuts down or the returned `ScheduledFuture` gets cancelled.

  Specified by:
    `schedule` in interface `TaskScheduler`
  Parameters:
    `task` - the Runnable to execute whenever the trigger fires
    `startTime` - the desired execution time for the task (if this is in the past, the task will be executed immediately, i.e. as soon as possible)
  Returns:
    a `ScheduledFuture` representing pending completion of the task

### scheduleAtFixedRate

    public ScheduledFuture scheduleAtFixedRate(Runnable task,
                                               Date startTime,
                                               long period)

  Description copied from interface: `TaskScheduler`
  Schedule the given `Runnable`, invoking it at the specified execution time and subsequently with the given period.

  Execution will end once the scheduler shuts down or the returned `ScheduledFuture` gets cancelled.

  Specified by:
    `scheduleAtFixedRate` in interface `TaskScheduler`
  Parameters:
    `task` - the Runnable to execute whenever the trigger fires
    `startTime` - the desired first execution time for the task (if this is in the past, the task will be executed immediately, i.e. as soon as possible)
    `period` - the interval between successive executions of the task (in milliseconds)
  Returns:
    a `ScheduledFuture` representing pending completion of the task

### scheduleAtFixedRate

    public ScheduledFuture scheduleAtFixedRate(Runnable task,
                                               long period)

  Description copied from interface: `TaskScheduler`
  Schedule the given `Runnable`, starting as soon as possible and invoking it with the given period.

  Execution will end once the scheduler shuts down or the returned `ScheduledFuture` gets cancelled.

  Specified by:
    `scheduleAtFixedRate` in interface `TaskScheduler`
  Parameters:
    `task` - the Runnable to execute whenever the trigger fires
    `period` - the interval between successive executions of the task (in milliseconds)
  Returns:
    a `ScheduledFuture` representing pending completion of the task

### scheduleWithFixedDelay

    public ScheduledFuture scheduleWithFixedDelay(Runnable task,
                                                  Date startTime,
                                                  long delay)

  Description copied from interface: `TaskScheduler`
  Schedule the given `Runnable`, invoking it at the specified execution time and subsequently with the given delay between the completion of one execution and the start of the next.

  Execution will end once the scheduler shuts down or the returned `ScheduledFuture` gets cancelled.

  Specified by:
    `scheduleWithFixedDelay` in interface `TaskScheduler`
  Parameters:
    `task` - the Runnable to execute whenever the trigger fires
    `startTime` - the desired first execution time for the task (if this is in the past, the task will be executed immediately, i.e. as soon as possible)
    `delay` - the delay between the completion of one execution and the start of the next (in milliseconds)
  Returns:
    a `ScheduledFuture` representing pending completion of the task

### scheduleWithFixedDelay

    public ScheduledFuture scheduleWithFixedDelay(Runnable task,
                                                  long delay)

  Description copied from interface: `TaskScheduler`
  Schedule the given `Runnable`, starting as soon as possible and invoking it with the given delay between the completion of one execution and the start of the next.

  Execution will end once the scheduler shuts down or the returned `ScheduledFuture` gets cancelled.

  Specified by:
    `scheduleWithFixedDelay` in interface `TaskScheduler`
  Parameters:
    `task` - the Runnable to execute whenever the trigger fires
    `delay` - the interval between successive executions of the task (in milliseconds)
  Returns:
    a `ScheduledFuture` representing pending completion of the task

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD